# author:qinguanglei
# ddate:2023/11/16 10:44
# 使用注入方式，直接将driver注入到程序中，后面直接使用driver
import pytest
from selenium import webdriver

driver = None


# 将driver注入到程序后，后面直接使用driver就可以，无需再次定义
@pytest.fixture(scope='session', autouse=True)
def driver():
    global driver
    option = webdriver.ChromeOptions()
    # option.add_experimental_option("detach", True) # 设置不要自动关闭浏览器
    # 获取驱动器
    driver = webdriver.Chrome(options=option)
    # 最大化页面
    driver.maximize_window()
    return driver
