# author:qinguanglei
# ddate:2023/11/14 16:14
# 该功能为读取yaml数据功能
import yaml
import os


def read_yaml(yaml_path):
    '''读取yaml文件内容
        参数path: 相对路径，起始路径：项目的根目录
        realPath: 文件的真实路径,绝对路径地址 '''
    if not os.path.isfile(yaml_path):
        raise FileNotFoundError("文件路径不存在，请检查路径是否正确：%s" % yaml_path)
    # open方法打开直接读出来
    f = open(yaml_path, 'r', encoding='utf-8')
    cfg = f.read()  # 读取出来是yaml文件格式
    d = yaml.load(cfg, Loader=yaml.FullLoader)  # 因此我们用load方法转字典
    print("读取的测试文件数据：%s" % d)
    return d


def get_value_by_filed_from_yaml(yaml_path, field):
    dictionary = read_yaml(yaml_path)
    return dictionary[field]
